JmsPropertyFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.filters.JmsPropertyFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.filters
Class JmsPropertyFilter

    java.lang.Object
      org.mule.transport.jms.filters.JmsPropertyFilter

All Implemented Interfaces:
  Filter

    public class JmsPropertyFilter

extends Object
implements Filter

Constructor Summary
`JmsPropertyFilter()`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `equals(Object obj)`
`String` | `getExpression()` Returns the match expression
`String` | `getPattern()` Sets the regex pattern to match on
`String` | `getPropertyClass()` Returns the class type of the property
`String` | `getPropertyName()` Returns the name of the property
`int` | `hashCode()`
`void` | `setExpression(String expression)` Sets the match expression
`void` | `setPattern(String pattern)` Return the regex pattern to match on
`void` | `setPropertyClass(String propertyClass)` Sets the class type of the property
`void` | `setPropertyName(String propertyName)` Sets the name of the property

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsPropertyFilter

    public JmsPropertyFilter()

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### setExpression

    public void setExpression(String expression)

  Sets the match expression

### getExpression

    public String getExpression()

  Returns the match expression

### setPropertyName

    public void setPropertyName(String propertyName)

  Sets the name of the property

### getPropertyName

    public String getPropertyName()

  Returns the name of the property

### setPropertyClass

    public void setPropertyClass(String propertyClass)

  Sets the class type of the property

### getPropertyClass

    public String getPropertyClass()

  Returns the class type of the property

### getPattern

    public String getPattern()

  Sets the regex pattern to match on

### setPattern

    public void setPattern(String pattern)

  Return the regex pattern to match on

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.